<?php

namespace App\Http\Controllers;

use App\Models\Category;
use App\Models\Product;
use Illuminate\Http\Request;

class MenuController extends Controller
{
    public function categories()
    {
        $categories = Category::withCount('products')
            ->with(['products' => function($query) {
                $query->select('id', 'category_id', 'image')->take(1);
            }])
            ->get();
        return view('menu.categories', compact('categories'));
    }

    public function products($categoryId)
    {
        $category = Category::findOrFail($categoryId);
        $products = Product::where('category_id', $categoryId)->get();
        return view('menu.products', compact('category', 'products'));
    }

    public function productDetail($productId)
    {
        $product = Product::with('category')->findOrFail($productId);
        return view('menu.product-detail', compact('product'));
    }

    public function order()
    {
        return view('menu.order');
    }
}
