<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\WaiterCall;
use App\Models\Table;

class WaiterCallController extends Controller
{
    public function store(Request $request)
    {
        $request->validate([
            'table_id' => 'required|integer',
        ]);

        $waiterCall = WaiterCall::create([
            'table_id' => $request->table_id,
            'status' => 'pending',
        ]);

        // Table ile birlikte waiterCall'ı döndür
        $waiterCall->load('table');

        return response()->json([
            'status' => true,
            'message' => 'Garson çağrınız alındı',
            'waiter_call' => $waiterCall
        ]);
    }


    // Bekleyen çağrıları getir
    public function getPendingCalls()
    {
        $pendingCalls = WaiterCall::with('table')
            ->where('status', 'pending')
            ->where('seen', false)  // Sadece görülmemiş olanları getir
            ->orderBy('created_at', 'desc')
            ->get();

        // Çağrıları görüldü olarak işaretle
        WaiterCall::whereIn('id', $pendingCalls->pluck('id'))
            ->update(['seen' => true]);

        return response()->json([
            'status' => true,
            'pending_calls' => $pendingCalls
        ]);
    }

    // Çağrıyı tamamla
    public function complete($id)
    {
        $waiterCall = WaiterCall::findOrFail($id);
        $waiterCall->update(['status' => 'completed']);

        return response()->json([
            'status' => true,
            'message' => 'Çağrı tamamlandı'
        ]);
    }
}
