<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class WaiterMiddleware
{
    public function handle(Request $request, Closure $next): Response
    {
        $user = $request->user();
        if ($user && ($user->role === 'waiter' || $user->role === 'admin')) {
            return $next($request);
        }

        return response()->json([
            'status' => false,
            'message' => 'Bu işlem için yetkiniz yok'
        ], 403);
    }
}
