<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
    protected $fillable = [
        'table_id',
        'is_paid',
        'total_price',
        'archived',
        'archived_at'
    ];

    protected $casts = [
        'is_paid' => 'boolean',
        'archived' => 'boolean',
        'archived_at' => 'datetime'
    ];

    /**
     * table
     *
     * @return void
     */
    public function table()
    {
        return $this->belongsTo(Table::class);
    }

    public function orderItems()
    {
        return $this->hasMany(OrderItem::class);
    }

    public function kitchenOrders()
    {
        return $this->hasMany(KitchenOrder::class);
    }
}
