<?php

namespace App\Models;

use App\Enums\TableStatus;
use Illuminate\Database\Eloquent\Model;

class Table extends Model
{
    protected $fillable = [
        'name',
        'total_price',
        'product_count',
        'date',
        'status'
    ];

    protected $casts = [
        'status' => TableStatus::class,
        'date' => 'datetime'
    ];

    public function orders()
    {
        return $this->hasMany(Order::class);
    }
}
