<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::table('tables', function (Blueprint $table) {
            $table->enum('status', ['active', 'empty', 'reserved', 'waiting'])->default('empty')->after('name');
            $table->decimal('total_price', 10, 2)->default(0)->after('status');
            $table->integer('product_count')->default(0)->after('total_price');
            $table->timestamp('date')->nullable()->after('product_count');
        });
    }

    public function down()
    {
        Schema::table('tables', function (Blueprint $table) {
            $table->dropColumn(['status', 'total_price', 'product_count', 'date']);
        });
    }
};
