<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::dropIfExists('qr_order_items');
        Schema::dropIfExists('qr_orders');

        Schema::create('qr_orders', function (Blueprint $table) {
            $table->id();
            $table->foreignId('table_id')->constrained('tables');
            $table->enum('status', ['pending', 'approved', 'rejected'])->default('pending');
            $table->decimal('total_price', 10, 2)->default(0);
            $table->text('note')->nullable();
            $table->timestamps();
        });

        Schema::create('qr_order_items', function (Blueprint $table) {
            $table->id();
            $table->foreignId('qr_order_id')->constrained('qr_orders')->onDelete('cascade');
            $table->foreignId('product_id')->constrained('products');
            $table->integer('quantity');
            $table->decimal('price', 10, 2);
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('qr_order_items');
        Schema::dropIfExists('qr_orders');
    }
};
