<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration {
    public function up()
    {
        Schema::table('payments', function (Blueprint $table) {
            $table->foreignId('user_id')
                  ->nullable()
                  ->constrained()
                  ->onDelete('cascade');
        });

        // Mevcut ödemelere varsayılan admin kullanıcısını ata
        DB::table('payments')->update(['user_id' => 1]); // Admin kullanıcı ID'si

        // Nullable'ı kaldır
        Schema::table('payments', function (Blueprint $table) {
            $table->foreignId('user_id')
                  ->nullable(false)
                  ->change();
        });
    }

    public function down()
    {
        Schema::table('payments', function (Blueprint $table) {
            $table->dropForeign(['user_id']);
            $table->dropColumn('user_id');
        });
    }
};
