@extends('menu.layout')

@section('content')
<div class="animate-fade">
    <div class="text-center mb-20">
        <h1 class="text-5xl font-bold gradient-text mb-6">
            Menümüz
        </h1>
        <p class="text-white/60 text-lg max-w-2xl mx-auto">
            Özenle hazırlanmış lezzetlerimizi keşfedin ve benzersiz bir gastronomi deneyimi yaşayın
        </p>
    </div>

    <div class="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 gap-10">
        @foreach($categories as $category)
        <a href="{{ route('menu.products', $category->id) }}"
           class="group relative block aspect-[4/5] rounded-2xl overflow-hidden hover-lift">
            @if($category->products->first() && $category->products->first()->image)
                <img src="{{ $category->products->first()->image_url }}"
                     alt="{{ $category->name }}"
                     class="w-full h-full object-cover transition-transform duration-700 ease-out group-hover:scale-110">
            @else
                <div class="w-full h-full bg-gradient-to-br from-neutral-800 to-neutral-900"></div>
            @endif

            <div class="absolute inset-0 bg-gradient-to-t from-black/90 via-black/50 to-transparent"></div>

            <div class="absolute inset-0 p-8 flex flex-col justify-end">
                <div class="transform translate-y-6 group-hover:translate-y-0 transition-transform duration-500 ease-out">
                    <h2 class="text-2xl font-bold text-white mb-4 gradient-text">
                        {{ $category->name }}
                    </h2>
                    <div class="flex items-center space-x-4 opacity-0 group-hover:opacity-100 transition-opacity duration-500">
                        <span class="glass-effect px-4 py-2 rounded-full text-white/90 text-sm backdrop-blur-lg">
                            {{ $category->products_count ?? 0 }} ürün
                        </span>
                        <div class="w-10 h-10 glass-effect rounded-full flex items-center justify-center group-hover:translate-x-3 transition-transform duration-500">
                            <svg class="w-5 h-5 text-white" fill="none" stroke="currentColor" viewBox="0 0 24 24">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M13 7l5 5-5 5" />
                            </svg>
                        </div>
                    </div>
                </div>
            </div>
        </a>
        @endforeach
    </div>
</div>
@endsection
