@extends('menu.layout')

@section('content')
<div class="animate-fade">
    <div class="mb-8">
        <a href="{{ route('menu.products', $product->category->id) }}"
           class="inline-flex items-center text-white/50 hover:text-white group">
            <svg class="w-5 h-5 mr-2 transform group-hover:-translate-x-1 transition-transform"
                 fill="none" stroke="currentColor" viewBox="0 0 24 24">
                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M10 19l-7-7m0 0l7-7m-7 7h18" />
            </svg>
            {{ $product->category->name }}
        </a>
    </div>

    <div class="glass-effect rounded-2xl overflow-hidden border border-white/5">
        <div class="grid grid-cols-1 lg:grid-cols-2 gap-0">
            <div class="aspect-square lg:aspect-auto relative">
                <img src="{{ $product->image_url }}"
                     alt="{{ $product->name }}"
                     class="w-full h-full object-cover">
                <div class="absolute top-4 right-4">
                    <span class="bg-gradient-to-r from-rose-500 to-orange-500 text-white px-4 py-2 rounded-full text-sm font-semibold shadow-lg shadow-rose-500/25 backdrop-blur-xl border border-white/10">
                        {{ number_format($product->price, 2) }} ₺
                    </span>
                </div>
            </div>

            <div class="p-6 lg:p-8 space-y-6">
                <div class="flex items-start justify-between">
                    <h1 class="text-2xl font-bold text-white">{{ $product->name }}</h1>
                    <span class="hidden lg:flex bg-gradient-to-r from-rose-500 to-orange-500 text-white px-4 py-2 rounded-full text-sm font-semibold shadow-lg shadow-rose-500/25">
                        {{ number_format($product->price, 2) }} ₺
                    </span>
                </div>

                <div class="space-y-4">
                    <h2 class="text-lg font-bold text-white/90">İçindekiler</h2>
                    <div class="space-y-2">
                        @foreach(explode(',', $product->description) as $ingredient)
                        <div class="flex items-center space-x-3">
                            <div class="w-6 h-6 glass-effect rounded-full flex items-center justify-center">
                                <svg class="w-4 h-4 text-white/70" fill="none" stroke="currentColor" viewBox="0 0 24 24">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 13l4 4L19 7" />
                                </svg>
                            </div>
                            <span class="text-white/70 text-sm">{{ trim($ingredient) }}</span>
                        </div>
                        @endforeach
                    </div>
                </div>

                <div class="pt-6 border-t border-white/10">
                    <span class="text-xs text-white/50">
                        {{ $product->category->name }} kategorisinde
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
