@extends('menu.layout')

@section('content')
<div class="space-y-12 animate-fade">
    <div>
        <a href="{{ route('menu.categories') }}"
           class="inline-flex items-center text-white/50 hover:text-white group">
            <svg class="w-5 h-5 mr-2 transform group-hover:-translate-x-1 transition-transform"
                 fill="none" stroke="currentColor" viewBox="0 0 24 24">
                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M10 19l-7-7m0 0l7-7m-7 7h18" />
            </svg>
            Menü
        </a>
        <h1 class="text-4xl font-bold gradient-text mt-6">{{ $category->name }}</h1>
    </div>

    <div class="grid grid-cols-1 lg:grid-cols-2 gap-10">
        @foreach($products as $product)
        <a href="{{ route('menu.product.detail', $product->id) }}"
           class="group glass-effect rounded-2xl hover-lift overflow-hidden border border-white/5">
            <div class="aspect-[16/10] overflow-hidden relative">
                <img src="{{ $product->image_url }}"
                     alt="{{ $product->name }}"
                     class="w-full h-full object-cover transition-transform duration-700 ease-out group-hover:scale-110">
                <div class="absolute top-4 right-4">
                    <span class="bg-gradient-to-r from-rose-500 to-orange-500 text-white px-4 py-2 rounded-full text-sm font-semibold shadow-lg shadow-rose-500/25 backdrop-blur-xl border border-white/10">
                        {{ number_format($product->price, 2) }} ₺
                    </span>
                </div>
            </div>

            <div class="p-6">
                <div class="flex items-start justify-between">
                    <div>
                        <h2 class="text-xl font-bold text-white mb-2">{{ $product->name }}</h2>
                        <p class="text-white/60 text-sm line-clamp-2 leading-relaxed">{{ $product->description }}</p>
                    </div>
                    <div class="w-10 h-10 glass-effect rounded-full flex items-center justify-center group-hover:translate-x-2 transition-transform duration-500">
                        <svg class="w-5 h-5 text-white" fill="none" stroke="currentColor" viewBox="0 0 24 24">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M13 7l5 5-5 5" />
                        </svg>
                    </div>
                </div>
            </div>
        </a>
        @endforeach
    </div>
</div>
@endsection
