<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <style>
        body { font-family: DejaVu Sans, sans-serif; }
        .header { text-align: center; margin-bottom: 20px; }
        .summary { margin-bottom: 20px; }
        table { width: 100%; border-collapse: collapse; }
        th, td { padding: 8px; text-align: left; border-bottom: 1px solid #ddd; }
        .total { margin-top: 20px; text-align: right; }
    </style>
</head>
<body>
    <div class="header">
        <h2>Günlük Rapor</h2>
        <p>{{ $date }}</p>
    </div>

    <div class="summary">
        <p>Toplam Sipariş: {{ $order_count }}</p>
        <p>Toplam Ürün: {{ $product_count }}</p>
        <p>Toplam Satış: {{ number_format($total_sales, 2) }} ₺</p>
    </div>

    <table>
        <thead>
            <tr>
                <th>Sipariş No</th>
                <th>Masa</th>
                <th>Saat</th>
                <th>Tutar</th>
            </tr>
        </thead>
        <tbody>
            @foreach($orders as $order)
            <tr>
                <td>#{{ $order['order_id'] }}</td>
                <td>{{ $order['table'] }}</td>
                <td>{{ $order['time'] }}</td>
                <td>{{ number_format($order['total'], 2) }} ₺</td>
            </tr>
            @endforeach
        </tbody>
    </table>
</body>
</html>
