<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <style>
        body { font-family: DejaVu Sans, sans-serif; }
        .header { text-align: center; margin-bottom: 20px; }
        .order-info { margin-bottom: 20px; }
        table { width: 100%; border-collapse: collapse; }
        th, td { padding: 8px; text-align: left; border-bottom: 1px solid #ddd; }
        .total { margin-top: 20px; text-align: right; }
    </style>
</head>
<body>
    <div class="header">
        <h2>Sipariş Çıktısı</h2>
    </div>

    <div class="order-info">
        <p>Sipariş No: #{{ $order_id }}</p>
        <p>Masa: {{ $table }}</p>
        <p>Tarih: {{ $date }}</p>
    </div>

    <table>
        <thead>
            <tr>
                <th>Ürün</th>
                <th>Adet</th>
                <th>Fiyat</th>
                <th>Toplam</th>
            </tr>
        </thead>
        <tbody>
            @foreach($items as $item)
            <tr>
                <td>{{ $item['name'] }}</td>
                <td>{{ $item['quantity'] }}</td>
                <td>{{ number_format($item['price'], 2) }} ₺</td>
                <td>{{ number_format($item['total'], 2) }} ₺</td>
            </tr>
            @endforeach
        </tbody>
    </table>

    <div class="total">
        <h3>Toplam: {{ number_format($total_price, 2) }} ₺</h3>
    </div>
</body>
</html>
