type TableStatus = 'active' | 'empty' | 'reserved' | 'waiting'

interface TableStatusConfig {
  color: string
  text: string
  borderColor: string
}

const tableStatusConfig: Record<TableStatus, TableStatusConfig> = {
  active: {
    color: 'bg-emerald-100/50 dark:bg-emerald-900/50 text-emerald-600 dark:text-emerald-400',
    text: 'Dolu',
    borderColor: 'border-emerald-200'
  },
  empty: {
    color: 'bg-slate-100/50 dark:bg-slate-800/50 text-slate-600 dark:text-slate-400',
    text: 'Boş',
    borderColor: 'border-slate-200'
  },
  reserved: {
    color: 'bg-amber-100/50 dark:bg-amber-900/50 text-amber-600 dark:text-amber-400',
    text: 'Rezerve',
    borderColor: 'border-amber-200'
  },
  waiting: {
    color: 'bg-red-100/50 dark:bg-red-900/50 text-red-600 dark:text-red-400',
    text: 'Sipariş Alınmalı',
    borderColor: 'border-red-100'
  }
}

export const getStatusColor = (status: TableStatus) => {
  return tableStatusConfig[status]?.color || tableStatusConfig.empty.color
}

export const getStatusText = (status: TableStatus) => {
  return tableStatusConfig[status]?.text || status
}

export const getStatusBorderColor = (status: TableStatus) => {
  return tableStatusConfig[status]?.borderColor || tableStatusConfig.empty.borderColor
}

export type { TableStatus } 