import type { Config } from "tailwindcss";

const config: Config = {
  content: [
    "./pages/**/*.{js,ts,jsx,tsx,mdx}",
    "./components/**/*.{js,ts,jsx,tsx,mdx}",
    "./app/**/*.{js,ts,jsx,tsx,mdx}",
  ],
  darkMode: 'class',
  theme: {
    extend: {
      colors: {
        dark: {
          50: '#171923',
          100: '#1A202C',
          200: '#2D3748',
          300: '#4A5568',
          400: '#718096',
          500: '#A0AEC0',
          600: '#CBD5E0',
          700: '#E2E8F0',
          800: '#EDF2F7',
          900: '#F7FAFC',
        },
        primary: {
          50: '#f5f3ff',
          100: '#ede9fe',
          200: '#ddd6fe',
          300: '#c4b5fd',
          400: '#a78bfa',
          500: '#8b5cf6',
          600: '#7c3aed',
          700: '#6d28d9',
          800: '#5b21b6',
          900: '#4c1d95',
        },
      },
      backgroundImage: {
        'dark-gradient': 'linear-gradient(to bottom right, rgba(17, 24, 39, 0.8), rgba(88, 28, 135, 0.8))',
        'glass-gradient': 'linear-gradient(to bottom right, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.05))',
        'glass-gradient-dark': 'linear-gradient(to bottom right, rgba(255, 255, 255, 0.05), rgba(255, 255, 255, 0.02))',
      },
      animation: {
        'gradient': 'gradient 8s linear infinite',
      },
      keyframes: {
        gradient: {
          '0%, 100%': {
            'background-size': '200% 200%',
            'background-position': 'left center'
          },
          '50%': {
            'background-size': '200% 200%',
            'background-position': 'right center'
          },
        },
      },
      boxShadow: {
        'glass': '0 8px 32px 0 rgba(31, 38, 135, 0.37)',
        'glass-dark': '0 8px 32px 0 rgba(0, 0, 0, 0.37)',
        'glass-sm': '0 2px 8px 0 rgba(31, 38, 135, 0.37)',
        'glass-sm-dark': '0 2px 8px 0 rgba(0, 0, 0, 0.37)',
      },
    },
  },
  plugins: [
    require('@tailwindcss/forms'),
  ],
}

export default config;
